Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.samlp
Class Response

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.SAMLMessage
oracle.security.xmlsec.samlp.ResponseType
oracle.security.xmlsec.samlp.Response`

public class Response
extends ResponseType

The SAML Response element which specifies the status of the corresponding SAML request and a list of zero or more assertions that answer the request.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`` | `Response(org.w3c.dom.Document owner)` Creates a new `Response` instance.
`protected` | `Response(org.w3c.dom.Document owner, java.lang.String uri, java.lang.String localName)` Creates a new `Response` instance.
`` | `Response(org.w3c.dom.Element element)` Creates a new `Response` instance from the given Element node.
`` | `Response(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `Response` instance from the given Element node.

Method Summary
`void` | `addAssertion(Assertion assertion)` Adds an assertion to this response.
`java.util.List` | `getAssertions()` Gets the list of assertions contained in this response.
`Status` | `getStatus()` Gets the status of this response.
`void` | `setStatus(Status status)` Sets the status of this response.

Methods inherited from class oracle.security.xmlsec.samlp.ResponseType
`getID, getInResponseTo, getIssueInstant, getLocalNamesPrecedeDSig, getNSURIsPrecedeDSig, getRecipient, getResponseID, setInResponseTo, setIssueInstant, setRecipient, setResponseID`

Methods inherited from class oracle.security.xmlsec.saml.SAMLMessage
`addSignature, addSignature, clearSignature, getInstance, getMajorVersion, getMinorVersion, getSignature, isSigned, setVersion, sign, sign, verify, verify`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Response

    public Response(org.w3c.dom.Element element)
             throws org.w3c.dom.DOMException

  Creates a new `Response` instance from the given Element node.
Parameters:
  `element` - A Response element.

### Response

    public Response(org.w3c.dom.Element element,
                    java.lang.String systemId)
             throws org.w3c.dom.DOMException

  Creates a new `Response` instance from the given Element node.
Parameters:
  `element` - A Response element.
  `systemId` - The URI string system ID for the `Response`.

### Response

    public Response(org.w3c.dom.Document owner)
             throws org.w3c.dom.DOMException

  Creates a new `Response` instance.
Parameters:
  `owner` - The owner document of the new Response.

### Response

    protected Response(org.w3c.dom.Document owner,
                       java.lang.String uri,
                       java.lang.String localName)
                throws org.w3c.dom.DOMException

  Creates a new `Response` instance. This contructor is only for the subclass contains extension of the Response element.
Parameters:
  `owner` - The owner document of the new Response.
  `localName` - The localName of the element represented by the class that extends this class.

Method Detail

### setStatus

    public void setStatus(Status status)

  Sets the status of this response.
  Parameters:
    `status` - A `Status` object.

### getStatus

    public Status getStatus()

  Gets the status of this response.
  Returns:
    A `Status` object.

### addAssertion

    public void addAssertion(Assertion assertion)

  Adds an assertion to this response.
  Parameters:
    `assertion` - An `Assertion` object.

### getAssertions

    public java.util.List getAssertions()

  Gets the list of assertions contained in this response.
  Returns:
    A `List` containing `Assertion` objects, or an empty `List` if none has been set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.